## EMBOSS: charge

# Program charge

## Function

Protein charge plot

## Description

charge reads a protein sequence and writes a file (or plots a graph) of the charges of the amino acids within a window of specified length as the window is moved along the sequence.

## Usage

Here is a sample session with charge:

    % charge sw:hbb_human
    Protein charge plot
    Output file [hbb_human.charge]:

## Command line arguments

       Mandatory qualifiers (* if not always prompted):
      [-seqall]            seqall     Sequence database USA
    *  -graph              xygraph    Graph type
    *  -outfile            outfile    Output file name

       Optional qualifiers:
       -window             integer    Window

       Advanced qualifiers:
       -aadata             string     Amino acid property data file name
       -plot               bool       Produce graphic

       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-seqall] (Parameter 1) | Sequence database USA | Readable sequence(s) | Required
-graph | Graph type | EMBOSS has a list of known devices, including postscript, ps, hpgl, hp7470, hp7580, meta, colourps, cps, xwindows, x11, tektronics, tekt, tek4107t, tek, none, null, text, data, xterm, png | EMBOSS_GRAPHICS value, or x11
-outfile | Output file name | Output file | <sequence>.charge
Optional qualifiers | Allowed values | Default
-window | Window | Integer 1 or more | 5
Advanced qualifiers | Allowed values | Default
-aadata | Amino acid property data file name | Any string is accepted | Eamino.dat
-plot | Produce graphic | Yes/No | No

## Input file format

charge reads in a protein sequence.

## Output file format

If the option '-plot' is specified then charge displays a graph of the charge along the sequence otherwise it writes out a file containing the charges within a window starting at each position along the sequence.

The output file contains two columns separated by space or TAB characters. The first column is the position of teh start of the window. The second column is the charge of the amino acids within that window.

The output of the example above is as follows:

    CHARGE of HBB_HUMAN from 1 to 146: window 5

    Position        Charge
    1               0.100
    2               -0.100
    3               -0.400
    4               -0.200
    5               -0.200
    6               -0.200
    7               0.000
    8               0.200
    9               0.000
    10              0.000
    11              0.000
    12              0.000
    13              0.200
    14              0.200
    15              0.200
    16              0.200
    17              0.000
    18              -0.400
    19              -0.400
    20              -0.400
    21              -0.400
    22              -0.400
    23              -0.200
    24              -0.200
    25              -0.200
    26              0.000
    27              0.200
    28              0.200
    29              0.200
    30              0.200
    31              0.000
    32              0.000
    33              0.000
    34              0.000
    35              0.000
    36              0.200
    37              0.200
    38              0.200
    39              0.000
    40              0.000
    41              -0.200
    42              -0.200
    43              -0.400
    44              -0.200
    45              -0.200
    46              -0.200
    47              -0.200
    48              -0.200
    49              -0.200
    50              -0.200
    51              -0.200
    52              -0.200
    53              0.000
    54              0.000
    55              0.200
    56              0.200
    57              0.400
    58              0.400
    59              0.500
    60              0.300
    61              0.500
    62              0.500
    63              0.500
    64              0.400
    65              0.400
    66              0.200
    67              0.000
    68              0.000
    69              -0.200
    70              -0.200
    71              -0.200
    72              -0.200
    73              -0.100
    74              0.100
    75              -0.100
    76              -0.100
    77              -0.100
    78              0.000
    79              0.000
    80              0.200
    81              0.200
    82              0.200
    83              0.000
    84              0.000
    85              0.000
    86              -0.200
    87              -0.200
    88              -0.100
    89              -0.100
    90              -0.300
    91              0.100
    92              0.100
    93              0.100
    94              0.100
    95              0.100
    96              -0.100
    97              -0.300
    98              -0.400
    99              -0.400
    100             0.000
    101             0.000
    102             0.200
    103             0.200
    104             0.200
    105             0.000
    106             0.000
    107             0.000
    108             0.000
    109             0.000
    110             0.000
    111             0.000
    112             0.100
    113             0.200
    114             0.200
    115             0.200
    116             0.400
    117             0.100
    118             0.000
    119             0.000
    120             0.000
    121             -0.200
    122             0.000
    123             0.000
    124             0.000
    125             0.000
    126             0.000
    127             0.000
    128             0.200
    129             0.200
    130             0.200
    131             0.200
    132             0.200
    133             0.000
    134             0.000
    135             0.000
    136             0.000
    137             0.000
    138             0.000
    139             0.100
    140             0.300
    141             0.300
    142             0.400

## Data files

charge reads the data file 'Eamino.dat' to find the charge of the amino acids in the protein.

EMBOSS data files are distributed with the application and stored in the standard EMBOSS data directory, which is defined by the EMBOSS environment variable EMBOSS_DATA.

To see the available EMBOSS data files, run:

    % embossdata -showall

To fetch one of the data files (for example 'Exxx.dat') into your current directory for you to inspect or modify, run:

    % embossdata -fetch -file Exxx.dat

Users can provide their own data files in their own directories. Project specific files can be put in the current directory, or for tidier directory listings in a subdirectory called ".embossdata". Files for all EMBOSS runs can be put in the user's home directory, or again in a subdirectory called ".embossdata".

The directories are searched in the following order:

- . (your current directory)
- .embossdata (under your current directory)
- ~/ (your home directory)
- ~/.embossdata

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
backtranseq | Back translate a protein sequence
checktrans | Reports STOP codons and ORF statistics of a protein sequence
compseq | Counts the composition of dimer/trimer/etc words in a sequence
emowse | Protein identification by mass spectrometry
freak | Residue/base frequency table or plot
iep | Calculates the isoelectric point of a protein
mwfilter | Filter noisy molwts from mass spec output
octanol | Displays protein hydropathy
pepinfo | Plots simple amino acid properties in parallel
pepstats | Protein statistics
pepwindow | Displays protein hydropathy
pepwindowall | Displays protein hydropathy of a set of sequences

## Author(s)

This application was written by Alan Bleasby (ableasby@hgmp.mrc.ac.uk)

## History

Written (March 2001) - Alan Bleasby.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments